Routes - Delete
在指定的訂用帳戶、資源群組、配置檔和 AzureFrontDoor 端點下,刪除具有指定路由名稱的現有路由。
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cdn/profiles/{profileName}/afdEndpoints/{endpointName}/routes/{routeName}?api-version=2025-04-15
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
配置檔底下唯一的端點名稱。 |
|
profile
|
path | True |
string minLength: 1maxLength: 260 pattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$ |
Azure Front Door Standard 或 Azure Front Door Premium 的名稱,在資源群組中是唯一的。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+$ |
Azure 訂用帳戶內的資源組名。 |
|
route
|
path | True |
string |
路由規則的名稱。 |
|
subscription
|
path | True |
string |
Azure 訂用帳戶標識碼。 |
|
api-version
|
query | True |
string |
要與用戶端要求搭配使用的 API 版本。 目前的版本是 2025-04-15。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
還行。 要求已成功。 |
|
| 202 Accepted |
接受。 要求已接受進行處理,且作業將會以異步方式完成。 標題 location: string |
|
| 204 No Content |
無內容 |
|
| Other Status Codes |
描述作業失敗原因的 Azure Front Door 錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
Routes_Delete
範例要求
DELETE https://management.azure.com/subscriptions/subid/resourceGroups/RG/providers/Microsoft.Cdn/profiles/profile1/afdEndpoints/endpoint1/routes/route1?api-version=2025-04-15
範例回覆
azure-asyncoperation: https://management.azure.com/subscriptions/subid/resourcegroups/resourceGroupName/providers/Microsoft.Cdn/operationresults/operationId?api-version=2025-04-15
定義
| 名稱 | Description |
|---|---|
|
Afd |
錯誤回應 |
|
Error |
資源管理錯誤其他資訊。 |
|
Error |
錯誤詳細數據。 |
AfdErrorResponse
錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| error |
error 物件。 |
ErrorAdditionalInfo
資源管理錯誤其他資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
object |
其他資訊。 |
| type |
string |
其他信息類型。 |
ErrorDetail
錯誤詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤其他資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳細數據。 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |